﻿// Create STEP-NC Program using C# and Forms
// ========================================
//
// This C# project calls the STEP-NC API using the .NET interface.  It
// creates a dialog and button which creates a small machining program
// with a few toolpath moves.
//
// You can find more examples and other programming documentation at:
//
//	http://www.steptools.com/support/
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace stepnc_hello
{
    public partial class Form1 : Form
    {
	public Form1()
	{
	    InitializeComponent();
	}

	private void button1_Click(object sender, EventArgs e)
	{
	    // Create a trivial STEP-NC file
	    STEPNCLib.AptStepMaker apt = new STEPNCLib.AptStepMaker();
	    apt.PartNo("test part");
	    apt.DefineTool(0.25, 5.0, 1.0, 2.0, 3.0, 4.0, 5.0);
	    apt.LoadTool(1);
	    apt.Rapid();
	    apt.GoToXYZ("point001", 1.0, 12.0, 0.0);
	    apt.GoToXYZ("point002", 1.0, 14.0, 0.0);
	    apt.SaveAsModules("test");

	    Close(); // done
	}
    }
}
